<?xml version="1.0" encoding="utf-8"?>
  
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:elk="urn:cbr-ru:elk:v2024.1.0"
           xmlns:lt="urn:cbr-ru:elk:leaftypes:v2024.1.0"
           xmlns:ai="urn:cbr-ru:e-forms-app-info:v0.1"
           targetNamespace="urn:cbr-ru:elk:v2024.1.0" elementFormDefault="qualified" version="2024.1.0">
  
  <xs:import namespace="urn:cbr-ru:elk:leaftypes:v2024.1.0" schemaLocation="cbr_ed_leaftypes_v2024.1.0.xsd"/>
  <xs:include schemaLocation="cbr_ed_objects_v2024.1.0.xsd"/>
  
  <xs:element name="ED442" type="elk:ED442">
    <xs:annotation>
      <xs:documentation>Уведомление об изменении состава предмета залога по кредиту Банка России</xs:documentation>
    </xs:annotation>
  </xs:element>
  
  <xs:complexType name="ED442">
    <xs:annotation>
      <xs:documentation>Уведомление об изменении состава предмета залога по кредиту Банка России</xs:documentation>
    </xs:annotation>
    <xs:complexContent>
      <xs:extension base="elk:ESWithMandatoryEDReceiver">
        <xs:sequence>
          <xs:element name="SEDAssetsNotification" type="elk:SEDAssetsNotification">
            <xs:annotation>
              <xs:documentation>1. Уведомление об изменении состава обеспечения по кредиту</xs:documentation>
            </xs:annotation>
          </xs:element>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  
  <xs:complexType name="SEDAssetsNotification">
    <xs:annotation>
      <xs:documentation>1. Уведомление об изменении состава обеспечения по кредиту</xs:documentation>
    </xs:annotation>
    <xs:sequence>
      <xs:element name="CreditAssets" type="elk:CreditAssetsCodes">
        <xs:annotation>
          <xs:documentation>1.1. Обеспечение кредита. Активы</xs:documentation>
        </xs:annotation>
      </xs:element>
    </xs:sequence>
    <xs:attribute name="NotificationNum" type="lt:Max10TextType" use="required">
      <xs:annotation>
        <xs:documentation>Номер извещения о предоставлении кредита. Указывается номер кредита Банка России</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="NotificationDate" type="lt:DateType" use="required">
      <xs:annotation>
        <xs:documentation>Дата извещения о предоставлении кредита</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="NumNotifChangeCredit" type="lt:Max20TextType" use="required">
      <xs:annotation>
        <xs:documentation>Номер Уведомления об изменении состава обеспечения по кредиту</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="DateNotifChangeCredit" type="lt:DateType" use="required">
      <xs:annotation>
        <xs:documentation>Дата Уведомления об изменении состава обеспечения по кредиту</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="CORegNo" type="lt:Max10TextType" use="required">
      <xs:annotation>
        <xs:documentation>Регистрационный номер КО</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="COFullName" type="lt:Max255TextType" use="required">
      <xs:annotation>
        <xs:documentation>Полное наименование КО</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="GKDDate" type="lt:DateType" use="required">
      <xs:annotation>
        <xs:documentation>Дата кредитного договора (соглашения), заключенного с Банком России</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="GKDNo" type="lt:Max10TextType" use="required">
      <xs:annotation>
        <xs:documentation>Номер кредитного договора (соглашения), заключенного с Банком России</xs:documentation>
      </xs:annotation>
    </xs:attribute>
  </xs:complexType>
  
  <xs:complexType name="CreditAssetsCodes">
    <xs:annotation>
      <xs:documentation>1.1. Обеспечение кредита. Активы</xs:documentation>
    </xs:annotation>
    <xs:sequence>
      <xs:element name="AssetCodeIn" type="lt:Max20TextType" minOccurs="0" maxOccurs="unbounded">
        <xs:annotation>
          <xs:documentation>Уникальный номер актива в системе Банка России, включаемый в состав предмета залога</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="AssetCodeOut" type="lt:Max20TextType" minOccurs="0" maxOccurs="unbounded">
        <xs:annotation>
          <xs:documentation>Уникальный номер актива в системе Банка России, исключаемый из состава предмета залога</xs:documentation>
        </xs:annotation>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  
</xs:schema>
